Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-clksrc-01.txt

From: Kevin Gross <[email-masked]>
Date: Thu, 1 Nov 2012 10:21:30 -0700

We have revised draft-ietf-avtcore-clksrc based on discussion at IETF 84

   1. We've made minor improvements to language, terminology and formatting.
   2. Fixed a bug in ABNF specifying a traceable PTP clock - no grandmaster
   ID or domain indication is required in this case.
   3. Improved readability for specifying direct-referenced media clock -
   now indicated with "direct" instead of "offset". Made offset specification
   optional and described how to determine it if not supplied.
   4. We have removed use of the term "confidence" in clock discussion and
   replaced it with "quality" to avoid giving the impression that a confidence
   interval is under discussion here. We've also clarified the purpose and
   caveats in communicating clock quality. This should address Johnathan's
   comment that RTCP may be a better means than SDP to convey synchronization
   status.
   5. Jonathan also made a suggestion that instead of allowing indication
   of traceability of various clock sources that we define a generic traceable
   clock and identify it by its stratum value. We researched doing this and
   discovered that stratum designations are used in NTP clock distribution and
   in legacy telecommunications systems. In the NTP context, stratum describes
   how time servers are interconnected but does not describe the quality of
   the clock produced. The usefulness stratum system in the telecommunications
   began eroding with the breakup of the bell system. Telecomm synchronization
   can now be characterized as plesiochronous meaning there is is more of a
   peering than hierarchical relationship between clocks. We believe knowing
   the source of a traceable clock is the most reliable and available
   information for assessing a clock.
   6. Added some background material on Stream-Referenced media clock
   (section 5.3). Added separate signaling of master and slave
   stream-referenced media clocks. Removed address and port specifications
   from clock descriptions.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

On Mon, Oct 22, 2012 at 2:29 PM, <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>  This draft is a work item of the Audio/Video Transport Core Maintenance
> Working Group of the IETF.
>
>         Title           : RTP Clock Source Signalling
>         Author(s)       : Aidan Williams
>                           Kevin Gross
>                           Ray van Brandenburg
>                           Hans Stokking
>         Filename        : draft-ietf-avtcore-clksrc-01.txt
>         Pages           : 21
>         Date            : 2012-10-22
>
> Abstract:
>    NTP timestamps are used by several RTP protocols for synchronisation
>    and statistical measurement.  This memo specifies SDP signalling
>    identifying NTP timestamp clock sources and SDP signalling
>    identifying the media clock sources in a multimedia session.
>
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-avtcore-clksrc
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-avtcore-clksrc-01
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-clksrc-01
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>